Subject: sql.el - Product "ms" is missing "prompt-cont-regexp"

From: Sebastián Monía <[email-masked]>
Date: Wed, 17 Apr 2019 17:10:22 +0000

I've noticed this in the past but for reason didn't notice I should report it until I downloaded the Emacs 27 Alpha recently and had to fix it again.
The configuration for MS SQL Server in sql.el is missing "prompt-cont-regexp" and thus breaks when you launch SQLi.

All that is needed is the following:

(ms
     :name "Microsoft"
     :font-lock sql-mode-ms-font-lock-keywords
     :sqli-program sql-ms-program
     :sqli-options sql-ms-options
     :sqli-login sql-ms-login-params
     :sqli-comint-func sql-comint-ms
     :prompt-regexp "^[0-9]*>"
      ;; below the new line
     :prompt-cont-regexp "^[0-9]*>"
      ;; above the new line
     :prompt-length 5
     :syntax-alist ((?@ . "_"))
     :terminator ("^go" . "go"))

Thank you!
Sebastián